Subject: bug#8838: tty-run-terminal-initialization fails

From: Ted Zlatanov <[email-masked]>
Date: Tue, 14 Jun 2011 11:54:40 -0500

On Sun, 12 Jun 2011 17:42:59 -0500 Ted Zlatanov <[email-masked]> wrote: 

TZ> I disagree with replacing `when' with `if' in the case of just one
TZ> clause, which you did in several places.  Rather than simplifying the
TZ> code, it complicates reading it IMO.  Since `when' is a macro I think
TZ> any performance gains are minor.

Glenn, can you reply to this please?  If `when' should be discouraged,
tell me so, otherwise I'm not sure why you changed it.

Ted